<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author david.cifuentes
@version 1.0
@description Activación de predios retirados en desenglobles de PH por etapas.
@cu CU-NP-CO-232

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             width="100%"
             id="activarPrediosPanelGrid">

    <p:messages id="msgActivarPredios" showDetail="false" globalOnly="false" />

    <p:dataTable var="fichaMatrizPredio"
                 value="#{managedBeanParam.pFichaMatrizPrediosCancelados}"
                 id="tablaActivarPredios"
                 rowKey="#{fichaMatrizPredio.id}"
                 paginator="true" rows="5"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                 emptyMessage="No existen predios inactivos a mostrar">

        <p:column style="text-align:center">
            <f:facet name="header">
                <h:selectBooleanCheckbox value="#{fichaMatriz.selectedAllActivarPrediosBool}">
                    <p:ajax process="@this"
                            update=":prediosDesactivadosForm"
                            listener="#{fichaMatriz.seleccionarTodosPrediosInactivas}" />
                </h:selectBooleanCheckbox>
            </f:facet>

            <h:selectBooleanCheckbox value="#{fichaMatrizPredio.selected}" >
                <p:ajax process="@this"
                        update=":prediosDesactivadosForm"
                        listener="#{fichaMatriz.updateSelectedPrediosInactivos}">
                </p:ajax>
            </h:selectBooleanCheckbox>
        </p:column>

        <p:column headerText="Número predial" sortBy="#{fichaMatrizPredio.numeroPredialAntiguoConFormato}" >
            <h:outputText value="#{fichaMatrizPredio.numeroPredialAntiguoConFormato}" />
        </p:column>

        <p:column headerText="Número predial nuevo" sortBy="#{fichaMatrizPredio.numeroPredialNuevoConFormato}"> 
            <h:outputText value="#{fichaMatrizPredio.numeroPredialNuevoConFormato}" />
        </p:column>

        <p:column styleClass="numberColumn">
            <f:facet name="header">
                Coeficiente<br /> de<br />copropiedad
            </f:facet>
            <h:outputText value="#{fichaMatrizPredio.coeficiente}"
                          styleClass="outputTextStyle">
                <f:convertNumber type="number" groupingUsed="true" minFractionDigits="6" pattern="#0.000000"/>
            </h:outputText>
        </p:column>

    </p:dataTable>

    <p:spacer height="5" width="5" />

    <p:outputPanel layout="block" style="text-align:right">

        <p:commandButton value="Activar Predios"
                         oncomplete="activarPrediosWV.hide()"
                         update=":tabView1:gestionarFichaMatrizForm:numeroPredialResultantePanelGrid, :datosTorreForm:datosTorrePanelGrid, :tabView1:gestionarFichaMatrizForm:panelGeneralidadesPH, :tabView1:gestionarFichaMatrizForm:panelGeneralidadesDelCondominio"
                         action="#{managedBeanParam.activarPredios}" process="@this"
                         id="activarPrediosBtn" icon="ui-icon-flag"
                         title="Activar Predios">
        </p:commandButton>

        <p:spacer height="5" width="5" />

        <p:commandButton value="Cerrar" title="Cierra esta ventana"
                         oncomplete="activarPrediosWV.hide()"
                         icon="ui-icon-close" />
        <p:spacer height="1" width="20" />
    </p:outputPanel>

</h:panelGrid>